local UDPIPE=require 'UDPIPE'

local M=class(UDPIPE, function(self, ...)
  print('VERBOSE initialized')
  UDPIPE.init(self, ...)
end)

function M:onNewClient(msg, ip, port, ipc, portc)
  print('ON NEW CLIENT:', msg, ip, port, ipc, portc)
end

function M:onNewMessage(msg, sock)
  print('ON NEW MESSAGE:', msg, sock)
end

function M:onDisconnect(sock)
  print('ON DISCONNECT:', sock)
end

function M:onConnect(sock, ip, port)
  print('ON CONNECT:', sock, ip, port)
end

function M:onConnecting(sock, ip, port)
  print('ON CONNECTING:', sock, ip, port)
end

function M:onStalled(sock)
  print('ON STALLED:', sock)
end

function M:onBadToken(msg, ip, port)
  print('ON BAD TOKEN:', msg, ip, port, 'instead of '..self.token)
end

function M:onUnstalled(sock)
  print('ON UNSTALLED:', sock)
end

function M:onClose(sock)
  print('ON CLOSE:', sock)
end

function M:onMaxClients(msg, ip, port)
  print('ON MAX CLIENTS:', msg, ip, port)
end




return M
